import Component from '@glimmer/component';
import './usage.css';
export default class ThreadMessageUsageComponent extends Component {
    cardbotIcon: string;
    name: string;
    imgURL: string;
    datetime: string;
    notRound: boolean;
    hideMeta: boolean;
    messageArray: import("@ember/array/-private/native-array").default<string>;
    fullWidth: boolean;
    layoutExampleFullWidth: boolean;
    toggleLayoutExampleFullWidth(): void;
    isComplete: boolean;
    toggleIsComplete(): void;
}
